      subroutine davsuiv2(alpha,alam,m,nvec,isuiv,bab1)
      IMPLICIT REAL*8(A-H,O-X,Z),logical*1(y)
      PARAMETER (maxda3=300,ngru3=2048,maxorbcas=16)
      include 'maxorb.prm'
      DIMENSION ALPHA(maxda3,maxda3),ALAM(maxda3)
      dimension bab1(maxda3,maxda3)
      if(nprint.ge.2) then
         print*,'nouveaux vecteurs'
         call script(alpha,m,m,maxda3,maxda3)
      endif
      do ii=1,nvec
         rec=0.d0
         do kk=1,m
            sum=0.d0
            if(isuiv.eq.1) then
               do kkk=1,mv
                  sum=sum+bab1(kkk,ii)*alpha(kkk,kk)
               enddo
            else
               sum=alpha(1,kk)
            endif
            sum=dabs(sum)
            if(sum.gt.rec) irec=kk
            rec=max(rec,sum)
         enddo
         do kkk=1,m
            aaa=alpha(kkk,ii)
            alpha(kkk,ii)=alpha(kkk,irec)
            alpha(kkk,irec)=aaa
         enddo
         aaa=alam(ii)
         alam(ii)=alam(irec)
         alam(irec)=aaa
         if(nprint.ge.2) write(6,'('' rec max'',f10.6)') rec
      enddo
c     print*,'irec',irec
      if(irec.ne.nvec)
     *write(6,'('' alam'',10f8.4)')(alam(kkk),kkk=1,irec)
      return
      end
